#!/usr/bin/perl -w
# Prints the e-mail of the sender of the last message for the given bug

use Debbugs::Log;
use ...;

my $CACHEDIR = './cache';
my $MERKELPATH = '/org/bugs.debian.org/spool/db-h/';
my $RSYNCPATH = 'merkel.debian.org::bts-spool-db/';


my $bug = shift(@ARGV);
die "'$bug' is not a bug number" if ($bug !~ /^\d+$/);

my $log = substr($bug, -2)."/".$bug.".log";
if ( -d $MERKELPATH ) {
	# We are on merkel
	$log = $MERKELPATH.$log;
} else {
	# We are elsewhere: rsync the bug log from merkel
	my $cmd = "rsync -q $RSYNCPATH$log $CACHEDIR/";
	system($cmd) and die "Cannot fetch bug log from merkel: $cmd failed with status $?";
	$log = "$CACHEDIR/$bug.log";
}
