#!/usr/bin/python
"Search the package description index"

import xapian, sys

# Open the database
database = xapian.Database("descindex")

# We need to stem search terms as well
stemmer = xapian.Stem("english")
def normalise(word):
	return stemmer.stem_word(word.lower()) 

# Perform the query
enquire = xapian.Enquire(database)
query = xapian.Query(xapian.Query.OP_OR, \
		map(normalise, sys.argv[1:]))
enquire.set_query(query)

# Show the matching packages
matches = enquire.get_mset(0, 30)
for match in matches:
	print "%3d%%: %s" % ( \
		match[xapian.MSET_PERCENT], \
		match[xapian.MSET_DOCUMENT].get_data())
